> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Toggle Out-of-Office Greeting

> Enable or disable a voicemail box's out-of-office greeting



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/admin/voicemail-settings/greetings/{id}/toggle-out-of-office
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/voicemail-settings/greetings/{id}/toggle-out-of-office:
    patch:
      tags:
        - Voicemail Settings
      summary: Toggle Out-of-Office Greeting
      description: Enable or disable a voicemail box's out-of-office greeting
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Voicemail box ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                enable:
                  type: integer
                  minimum: 0
                  maximum: 1
                  description: 1 to enable, 0 to disable
              required:
                - enable
              additionalProperties: false
      responses:
        '200':
          description: Greeting action result
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  code:
                    type: number
                required:
                  - message
                  - code
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````